<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/fic_age.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_int.inc.php');
include_once('../inc/fic_pw.inc.php');
include_once('../inc/fic_zc.inc.php');
include_once('../inc/lst.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
$_SESSION['typ_filtres'] = 'intf';

// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$pbm_intf = FALSE;

$tx = valget('tx'); // Récupération origine ('m' : menu  / 'i' : intervention)
$ci = $_GET['ci']; // Récupération code Intervention

if (($tx <> 'm') AND ($tx <> 'i')) {
    $pbm_intf = TRUE;
}

if ($pbm_intf == FALSE) {
    if ($ci <> '') {
        // Récupération des informations intervention
        $row = lit_enr_int($ci);
        if (is_array($row)) {
            $row = encode_str($row);
            extract($row);

            switch ($_SESSION['niv_log']) {
                // Contrôle qu'une agence n'essaye pas de "hacker" une intervention
                case 4 :
                    if ($int_codeage == valsession('code_age')) {
                        $row2 = lit_enr_age($int_codeage, TRUE);
                        if (is_array($row2)) {
                            $row2 = encode_str($row2);
                            extract($row2);

                            if ((int)$age_fact == 0) {
                                $pbm_intf = TRUE;
                            }
                        } else {
                            $pbm_intf = TRUE;
                        }
                    } else {
                        $pbm_intf = TRUE;
                    }
                    break;
            }
        } else {
            $pbm_intf = TRUE;
        }
    } else {
        $pbm_intf = TRUE;
    }
}
?>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
    <html>
    <head>

        <meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Liste des factures'); ?></title>

        <?php include_once('../inc/header.inc.php'); ?>

        <script type="text/javascript">
            <!--
            <?php
            if ($tx == 'i')
                {cre_detail_factint('txtsfact',$ci,'window.opener.');}
            ?>

            function init_all() {
                init_Body();
                init_autohref_classe('falselnkimg', '');
                <?php
                if ($tx =='i')
                {
                    echo "add_func_click('quit', 'sclose', '');";
                    echo 'update_detail_factint();';
                }
                ?>
                Focus_first();
            }

            $(document).ready(function () {
                init_all();
            });
            //-->
        </script>

    </head>

<body>
<?php
if ($tx == 'm') {
    include_once('../inc/entete.inc.php');
}
cre_ent_form(_('LISTE DES FACTURES'), '', '', '', FALSE);
?>
    <p align="center"><span class="annot_gras_it"><?php echo _("Pour l'intervention"); ?><?php echo $ci; ?></span></p>
<?php
if ($pbm_intf == FALSE) {
    if ($tx == 'm') {
        echo '<strong><em><a href="' . $lnk_int_lst . '">' . _('Retour à la liste') . '</a></em></strong>';
    } else {
        echo '<input name="quit" type="button" class="bton_std" id="quit" value="' . _('Quitter') . '">';
    }
    echo '<br />';

    $url_add = 'intf_maj.php?tx=' . $tx . '&td=add&ci=' . $ci;

    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

    $rech = cree_strrechlstintf();
    if (!stristr($rech, 'WHERE ')) {
        $rech .= ' WHERE ';
    } else {
        $rech .= ' AND ';
    }
    $rech .= " intf_codeint ='$ci'";
    $rech .= crestr_triord($intf_titre_col, 'intf_numf', FALSE, $limit);

    $rows = $db->get_results($rech, ARRAY_A);
    close_database();

    if ($rows) {
        $numrows = count($rows);
        include_once('../inc/formr.inc.php');

        $rech = modstr_triord($rech, $intf_titre_col, 'intf_numf', TRUE, $limit);

        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

        $rows = $db->get_results($rech, ARRAY_A);

        // *** Pagination de pied
        pagine_lst($numrows, $limit);

        // *** Affichage de la table
        echo '<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">';

        // création entête
        titlst($intf_titre_col);
        echo '<th>' . _('Cliquer') . '</th>';

        $i = 0;

        foreach ($rows as $row) {
            $row = encode_str($row);
            // création de l'entête de ligne (TR)
            echo '<tr>';

            echo '<td>';
            if ((int)$row['intf_fnulle'] == 0) {
                echo $row['intf_numf'];
            } else {
                echo _('Non facturé');
            }
            echo '</td>';
            echo '<td>';
            if ((int)$row['intf_fnulle'] == 0) {
                echo datetolocal($row['intf_datefac']);
            } else {
                echo _('Non facturé');
            }
            echo '</td>';

            // CREATION lien dynamique sur icône (édition, suppression, etc...)
            echo '<td align="center">';
            $lst_maj = TRUE;
            cre_falselnk_img('', 'intf_maj_' . $row['intf_id'], 'span', 'center', _('Edition'), 'lnk', 'intf_maj.php?tx=' . $tx . '&td=edit&ci=' . $row['intf_codeint'] . '&cf=' . $row['intf_numf'], '../img/edit.png');
            echo '</td>';

            echo '</tr>';

            $i++;
        }
        echo '</table>';
        // *** Fin affichage de la table

        close_database();

        // *** Pagination de pied
        pagine_lst($numrows, $limit);

        $taille_piedla = '';
        include_once('../inc/piedla.inc.php');
    } else {
        retpp();
    }
} else {
    switch ($tx) {
        case 'i' :
            close_fen_auto('', '');
            break;
        default :
            pop_ret_auto(_('Problème de paramètres'), 'warn', 'index.php');
            break;
    }
}

if ($tx == 'm') {
    include_once('pied.php');
}
?>